AOWP_JoinPoint (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.joinpoint /.AOWP_JoinPoint
/aspect/joinpoint/JoinPoint.class.php at line 12

# Class AOWP_JoinPoint

    AOWP_JoinPoint

public abstract class AOWP_JoinPoint

Author:
  keiji

Field Summary
private mixed | $_ast
protected mixed | $_executedAdvice
private mixed | $_fileFullPath
private mixed | $_fileName
private mixed | $_line
protected mixed | $_proceedFunctionName
private mixed | $_returnValue
private mixed | $_timestamp

Constructor Summary
AOWP_JoinPoint(mixed element, mixed fileName, $fileName )

Method Summary
void | getAST()
void | getExecutedAdvice()
void | getFileFullPath()
string | getFileName() このジョインポイントが存在するファイル名を取得します。
void | getFormData(mixed parameterName)
void | getLineNumber()
void | getReturnValue()
void | getSessionID()
void | getTimestamp()
abstract mixed | proceed(mixed argumentArray, $argumentArray ) aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。
void | setAST(AOWP_PHPElement ast) 引き数は、nullも設定できます。 (その為に、引き数の型ヒントを省略してます。)
void | setExecutedAdvice(mixed executedAdvice)
void | setProceedFunctionName(mixed proceedFunctionName)
void | setReturnValue(mixed returnValue)

## Field Detail

/aspect/joinpoint/JoinPoint.class.php at line 17

### _ast

`private mixed $_ast`

/aspect/joinpoint/JoinPoint.class.php at line 21

### _executedAdvice

`protected mixed $_executedAdvice`

/aspect/joinpoint/JoinPoint.class.php at line 16

### _fileFullPath

`private mixed $_fileFullPath`

/aspect/joinpoint/JoinPoint.class.php at line 15

### _fileName

`private mixed $_fileName`

/aspect/joinpoint/JoinPoint.class.php at line 14

### _line

`private mixed $_line`

/aspect/joinpoint/JoinPoint.class.php at line 18

### _proceedFunctionName

`protected mixed $_proceedFunctionName`

/aspect/joinpoint/JoinPoint.class.php at line 19

### _returnValue

`private mixed $_returnValue`

/aspect/joinpoint/JoinPoint.class.php at line 20

### _timestamp

`private mixed $_timestamp`

## Constructor Detail

/aspect/joinpoint/JoinPoint.class.php at line 29

### AOWP_JoinPoint

`public AOWP_JoinPoint(mixed element, mixed fileName, $fileName )`

## Method Detail

/aspect/joinpoint/JoinPoint.class.php at line 58

### getAST

`public void getAST()`

/aspect/joinpoint/JoinPoint.class.php at line 46

### getExecutedAdvice

`public void getExecutedAdvice()`

/aspect/joinpoint/JoinPoint.class.php at line 82

### getFileFullPath

`public void getFileFullPath()`

/aspect/joinpoint/JoinPoint.class.php at line 78

### getFileName

`public string getFileName()`

このジョインポイントが存在するファイル名を取得します。

/aspect/joinpoint/JoinPoint.class.php at line 112

### getFormData

`public void getFormData(mixed parameterName)`

/aspect/joinpoint/JoinPoint.class.php at line 54

### getLineNumber

`public void getLineNumber()`

/aspect/joinpoint/JoinPoint.class.php at line 104

### getReturnValue

`public void getReturnValue()`

/aspect/joinpoint/JoinPoint.class.php at line 108

### getSessionID

`public void getSessionID()`

/aspect/joinpoint/JoinPoint.class.php at line 50

### getTimestamp

`public void getTimestamp()`

/aspect/joinpoint/JoinPoint.class.php at line 99

### proceed

`public abstract mixed proceed(mixed argumentArray, $argumentArray )`

aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。

/aspect/joinpoint/JoinPoint.class.php at line 69

### setAST

`public void setAST(AOWP_PHPElement ast)`

引き数は、nullも設定できます。 (その為に、引き数の型ヒントを省略してます。)

/aspect/joinpoint/JoinPoint.class.php at line 43

### setExecutedAdvice

`public void setExecutedAdvice(mixed executedAdvice)`

/aspect/joinpoint/JoinPoint.class.php at line 86

### setProceedFunctionName

`public void setProceedFunctionName(mixed proceedFunctionName)`

/aspect/joinpoint/JoinPoint.class.php at line 101

### setReturnValue

`public void setReturnValue(mixed returnValue)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr